/***************************************************************************
	FILE: SQLCURSW.H
	     Copyright (C) 1991, Microsoft Corp.

	PURPOSE: Defines values internal to the dblib test windows app.

	COMMENTS: This file contains all the constant declarations for
		  the sqlcursw windows application.

***************************************************************************/

#define ID_ABOUTSQL	400			/* ID for ABOUTSQL box	   */
#define ID_SQLSERVER	401			/* ID for server edit	   */
						/* control		   */
#define ID_ROWNUM	402
#define ID_DROWNUM	403
#define ID_DTABLE	404
#define ID_MROWNUM	405
#define ID_MTABLE	406
#define ID_MVALUES	407
#define IDM_CONNECT	406			/* menu id for connect	      */

#define FETCH_CONST	500
#define IDM_FIRST	501  /* Fetch parameters, ID = FETCH_CONST + fetchno */
#define IDM_NEXT	502
#define IDM_PREV	503
#define IDM_RAND	504
#define IDM_RELT	505
#define IDM_LAST	506

#define UPD_CONST	600
#define IDM_UPDATE	601	    /* dbcursor parameters, ID = 600 + optype */
#define IDM_DELETE	602
#define IDM_INSERT	603
#define IDM_REFRESH	604
#define IDM_LOCK	605


#define MAX_SERVERNAME	31			/* max length for server   */

#define NROWS	    5
#define KEYSET	    CUR_KEYSET	/* CUR_FORWARD, CUR_DYNAMIC, CUR_KEYSET int */
#define CONCUROPT   CUR_OPTCC	/* CUR_READONLY, CUR_LOCKCC, CUR_OPTCC, CUR_OPTCCVAL */


		 /* declare all functions for application here		   */

int PASCAL WinMain(HANDLE, HANDLE, LPSTR, int);
BOOL SqlTestInit(HANDLE);
long FAR PASCAL SqlTestWndProc(HWND, unsigned, WORD, LONG);
BOOL FAR PASCAL AboutSQL(HWND, unsigned, WORD, LONG);
BOOL FAR PASCAL GetRowNum(HWND, unsigned, WORD, LONG);
BOOL FAR PASCAL ModifyRow(HWND, unsigned, WORD, LONG);
BOOL FAR PASCAL DelLockRow(HWND, unsigned, WORD, LONG);
BOOL FAR PASCAL ConnectSQL(HWND, unsigned, WORD, LONG);
BOOL  PASCAL SQLInitCursor(void);
int ChackForScroll(HWND, int, int, int);
BOOL SqlTestProcessResults(HWND);
int dbwinErrorHandler(DBPROCESS *, int, int, int, LPSTR, LPSTR);
int dbwinMessageHandler(DBPROCESS *, DBINT, DBSMALLINT, DBSMALLINT, LPSTR);
