/***************************************************************************
	FILE: SQLTESTW.H
	     Copyright (C) 1988-1990, Microsoft Corp.

	PURPOSE: Defines values internal to the dblib test windows app.

	COMMENTS: This file contains all the constant declarations for
		  the sqltestw windows application.

***************************************************************************/

#define ID_ABOUTSQL 	100			/* ID for ABOUTSQL box     */
#define AUTHORNAME	201			/* ID for authorname edit  */
						/* control		   */
#define SQL_SERVER	202			/* ID for server edit      */
						/* control		   */
#define MAX_ANAME	30			/* max length for author   */
#define MAX_SERVERNAME	31			/* max length for server   */
#define	IDM_CONNECT	400			/* menu id for connect	   */
#define	IDM_SELECT	401			/* menu id for select	   */
#define WM_DBRESULTS	WM_USER			/* results proc message	   */

		 /* declare all functions for application here		   */

int PASCAL WinMain(HANDLE, HANDLE, LPSTR, int);
BOOL SqlTestInit(HANDLE);
long FAR PASCAL SqlTestWndProc(HWND, unsigned, WORD, LONG);
BOOL FAR PASCAL AboutSQL(HWND, unsigned, WORD, LONG);
BOOL FAR PASCAL SelectSQL(HWND, unsigned, WORD, LONG);
BOOL FAR PASCAL ConnectSQL(HWND, unsigned, WORD, LONG);
BOOL SqlTestProcessResults(HWND);
int dbwinErrorHandler(DBPROCESS *, int, int, int, LPSTR, LPSTR);
int dbwinMessageHandler(DBPROCESS *, DBINT, DBSMALLINT, DBSMALLINT, LPSTR);
int CheckForScroll(HWND, int, int, int);
